Skip to main content
GET
/
webhooks
List webhook subscriptions
curl --request GET \
  --url https://app.sendmux.ai/api/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": [
    {
      "id": "twhk_clxxxxxxxxxxxxxxxxxxxxxxxxx",
      "url": "https://hooks.acme.com/sendmux",
      "event_types": [
        "ses.bounce",
        "ses.complaint"
      ],
      "enabled": true,
      "failing": false,
      "created_at": "2026-04-23T09:12:00Z",
      "updated_at": "2026-04-23T09:12:00Z"
    }
  ],
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  }
}

Authorizations

Authorization
string
header
required

Sendmux API key. Obtain from the dashboard under API Keys. Format: smx_root_...

Response

Subscription list

ok
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object
required